Subject: Re: [PATCH] tests: rename work-tree tests to *work-tree*

From: Michael J Gruber <[email-masked]>
Date: Mon, 22 Feb 2016 11:35:12 +0100

Junio C Hamano venit, vidit, dixit 20.02.2016 22:42:
> Michael J Gruber <[email-masked]> writes:
> 
>> "Work tree" or "working tree" is the name of a checked out tree,
>> "worktree" the name of the command which manages several working trees.
>> The naming of tests mixes these two, currently:
>>
>> $ls t/*worktree*
>> ...
>> Rename t1501, t1509 and t7409 to make it clear on first glance that they
>> test work tree related behavior, rather than the worktree command.
>>
>> t2104, t7011 and t7012 are about the "skip-worktree" flag so that their
>> name should remain unchanged.
>>
>> Signed-off-by: Michael J Gruber <[email-masked]>
>> ---
>> Just some housekeeping. Not super necessary, but should make it easier to find
>> the right test to amend, for example.
> 
> That is rather unfortunate.  Most of them predate the "worktree"
> subcommand, I think, and having to rename them merely because a
> subcommand with a confusing name appeared sound somewhat backwards.

The question is: What ist the way forward?

I was looking for a proper place for a "git worktree" test and got
confused by the status quo. My suggestion is one way to help that
confusion, but I'd be happy to learn other ways. "grep" is an answer, too.

Maybe it's also time to admit that the numbering and naming scheme in t/
don't scale and that we should rather support other means of navigating
t/, such as standardizing a comment boiler plate in each test or such.

In fact, giving up on the numbering scheme would allow to regroup tests
more easily because there would be no room constraint any more (within a
fixed finite set of numbers).

Michael